/*************************************************************************************
 											CoAN-005 application
 *************************************************************************************

 ************************************************************************************/
#if !__SEPARATE_INST_DATA__
#memmap xmem
#endif

#class auto
#use RCM43xx.LIB
#use lcd_graphic.lib

#define LCDTRYRESTART				//comment for not try restart the LCD panels
#define LCDTRYRESTARTINTERVAL 2 	//refresh interval in seconds



main()
{
int i;
char numero[6];
float num,prom,vcc,sum;

   LCD_init();

	while(1){
      /***********************************************************************
       * Screens
       **********************************************************************/
      costate
      {
			LCD_clear();
			LCD_print6at(0,0,"Texto en 6x8, 20 cpl");
			LCD_printat(2,0,0,"Texto 8x8, 16cpl");
			LCD_printat(4,0,'B',"Texto 8x16,16cpl");
			msDelay (5000);
			LCD_clear();
			LCD_print6at(1,0,"El texto en 6x8 es  ideal para mostrar  dialogos cortos");
			LCD_rectangle(0,0,120,40);
			msDelay (5000);
			LCD_clear();
			LCD_printat(1,0,0,"El texto en 8x8 resalta valores de variables:");
			LCD_print6at(7,0,"Corriente:        mA");
			LCD_printat(7,9,0,"12,3");
			msDelay (5000);
			LCD_clear();
			LCD_printat(1,0,'B',"El formato 8x16 resulta ideal ennumeros");
			msDelay (5000);
			LCD_clear();
			LCD_print6at(0,4,"Caudalimetro");
			LCD_line(26,8,98,8);
			LCD_print6at(2,0,"Caudal:        m3/hr");
			LCD_print6at(5,0," Qprom:        m3/hr");
			LCD_print6at(7,0,"  Alim:        V");
			num=110.0;
			vcc=5.0;
			sum=0;
			for(i=1;i<41;i++) {
				num+=(rand()-0.5)/10;
				sum+=num;
				prom=sum/i;
				sprintf(numero,"%.1f",num);
				LCD_printat(2,6,'B',numero);
				sprintf(numero,"%.1f",prom);
				LCD_printat(5,6,0,numero);
				vcc+=(rand()-0.5)/100;
				sprintf(numero,"%.2f",vcc);
				LCD_printat(7,7,0,numero);
				msDelay (500);
		   }
	  	 	waitfor(DelayMs(500));
      }
      #ifdef LCDTRYRESTART
      //Patch for restart the lcd panels if they fail by noise problems
   	costate
      {
		 	LCD_PanelsOn();
         waitfor(DelaySec(LCDTRYRESTARTINTERVAL));
      }
      #endif
	}
}


